libetonyek::KEY2Parser Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::KEY2Parser Class Reference

`#include <KEY2Parser.h>`

Inheritance diagram for libetonyek::KEY2Parser:

## Public Member Functions
| KEY2Parser (const RVNGInputStreamPtr_t &input, const RVNGInputStreamPtr_t &package, KEYCollector *collector, const KEYDefaults &defaults)
virtual | ~KEY2Parser ()
void | parseGeometry (const KEYXMLReader &reader)
void | parseTextBody (const KEYXMLReader &reader)
Public Member Functions inherited from libetonyek::KEYParser
| KEYParser (const RVNGInputStreamPtr_t &input, KEYCollector *collector, const KEYDefaults &defaults)
virtual | ~KEYParser ()=0
bool | parse ()
KEYCollector * | getCollector () const
const KEYDefaults & | getDefaults () const

## Private Member Functions
virtual void | processXmlNode (const KEYXMLReader &reader)
virtual KEYXMLReader::TokenizerFunction_t | getTokenizer () const
void | parseDrawables (const KEYXMLReader &reader)
void | parseLayer (const KEYXMLReader &reader)
void | parseLayers (const KEYXMLReader &reader)
void | parseMasterSlide (const KEYXMLReader &reader)
void | parseMasterSlides (const KEYXMLReader &reader)
void | parseMetadata (const KEYXMLReader &reader)
void | parseNotes (const KEYXMLReader &reader)
void | parsePage (const KEYXMLReader &reader)
void | parseProxyMasterLayer (const KEYXMLReader &reader)
void | parseSlide (const KEYXMLReader &reader)
void | parseSlideList (const KEYXMLReader &reader)
void | parseStickyNotes (const KEYXMLReader &reader)
void | parseStyles (const KEYXMLReader &reader, bool anonymous)
void | parseStylesheet (const KEYXMLReader &reader)
void | parseTheme (const KEYXMLReader &reader)
void | parseThemeList (const KEYXMLReader &reader)
void | parseBezier (const KEYXMLReader &reader)
void | parseConnectionLine (const KEYXMLReader &reader)
void | parseGroup (const KEYXMLReader &reader)
void | parseImage (const KEYXMLReader &reader)
void | parseLine (const KEYXMLReader &reader)
void | parseMedia (const KEYXMLReader &reader)
void | parsePath (const KEYXMLReader &reader)
void | parseShape (const KEYXMLReader &reader)
void | parseStickyNote (const KEYXMLReader &reader)
void | parsePlaceholder (const KEYXMLReader &reader, bool title=false)
void | parseBezierPath (const KEYXMLReader &reader)
void | parseCallout2Path (const KEYXMLReader &reader)
void | parseConnectionPath (const KEYXMLReader &reader)
void | parsePointPath (const KEYXMLReader &reader)
void | parseScalarPath (const KEYXMLReader &reader)
void | parseContent (const KEYXMLReader &reader)
void | parseData (const KEYXMLReader &reader)
void | parseFiltered (const KEYXMLReader &reader)
void | parseFilteredImage (const KEYXMLReader &reader)
void | parseImageMedia (const KEYXMLReader &reader)
void | parseLeveled (const KEYXMLReader &reader)
void | parseUnfiltered (const KEYXMLReader &reader)
void | parseMovieMedia (const KEYXMLReader &reader)
void | parseSelfContainedMovie (const KEYXMLReader &reader)
void | parseOtherDatas (const KEYXMLReader &reader)
void | parseBr (const KEYXMLReader &reader)
void | parseLayout (const KEYXMLReader &reader)
void | parseLink (const KEYXMLReader &reader)
void | parseP (const KEYXMLReader &reader)
void | parseSpan (const KEYXMLReader &reader)
void | parseTab (const KEYXMLReader &reader)
void | parseText (const KEYXMLReader &reader)
void | parseTextStorage (const KEYXMLReader &reader)
void | emitLayoutStyle (const ID_t &id)
Private Member Functions inherited from libetonyek::KEY2ParserUtils
virtual | ~KEY2ParserUtils ()
| KEY2ParserUtils ()

## Private Attributes
RVNGInputStreamPtr_t | m_package
unsigned | m_version

## Additional Inherited Members
Static Private Member Functions inherited from libetonyek::KEY2ParserUtils
static boost::optional< ID_t > | readID (const KEYXMLReader &reader)
| Read sfa:ID attribute of an element. More...
static ID_t | readRef (const KEYXMLReader &reader)
| Read a reference element. More...
static std::pair< boost::optional< double >, boost::optional< double > > | readPoint (const KEYXMLReader &reader)
| Read sf:point element. More...
static KEYPosition | readPosition (const KEYXMLReader &reader)
| Read sf:position element. More...
static KEYSize | readSize (const KEYXMLReader &reader)
| Read sf:size element. More...
static bool | bool_cast (const char *value)
| Convert string value to bool. More...
static double | double_cast (const char *value)
static int | int_cast (const char *value)
static double | deg2rad (double value)

## Constructor & Destructor Documentation

libetonyek::KEY2Parser::KEY2Parser | ( | const RVNGInputStreamPtr_t & | input,
|  | const RVNGInputStreamPtr_t & | package,
|  | KEYCollector * | collector,
|  | const KEYDefaults & | defaults
| ) |  |

libetonyek::KEY2Parser::~KEY2Parser | ( |  | ) |
| virtual

## Member Function Documentation

void libetonyek::KEY2Parser::emitLayoutStyle | ( | const ID_t & | id | ) |
| private

Referenced by parseLayout(), and parseText().

KEYXMLReader::TokenizerFunction_t libetonyek::KEY2Parser::getTokenizer | ( |  | ) | const
| privatevirtual

Implements libetonyek::KEYParser.

void libetonyek::KEY2Parser::parseBezier | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseBezierPath().

void libetonyek::KEY2Parser::parseBezierPath | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parsePath().

void libetonyek::KEY2Parser::parseBr | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseLink(), parseP(), and parseSpan().

void libetonyek::KEY2Parser::parseCallout2Path | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parsePath().

void libetonyek::KEY2Parser::parseConnectionLine | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDrawables().

void libetonyek::KEY2Parser::parseConnectionPath | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parsePath().

void libetonyek::KEY2Parser::parseContent | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseMedia().

void libetonyek::KEY2Parser::parseData | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseFiltered(), parseLeveled(), parseOtherDatas(), and parseUnfiltered().

void libetonyek::KEY2Parser::parseDrawables | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseLayer().

void libetonyek::KEY2Parser::parseFiltered | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseFilteredImage().

void libetonyek::KEY2Parser::parseFilteredImage | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseImageMedia().

void libetonyek::KEY2Parser::parseGeometry | ( | const KEYXMLReader & | reader | ) |

Referenced by libetonyek::KEY2TableParser::parse(), parseConnectionLine(), parseGroup(), parseImage(), parseLine(), parseMedia(), parseShape(), and parseStickyNote().

void libetonyek::KEY2Parser::parseGroup | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDrawables().

void libetonyek::KEY2Parser::parseImage | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDrawables(), and parseGroup().

void libetonyek::KEY2Parser::parseImageMedia | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseContent().

void libetonyek::KEY2Parser::parseLayer | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseLayers().

void libetonyek::KEY2Parser::parseLayers | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parsePage().

void libetonyek::KEY2Parser::parseLayout | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseTextBody().

void libetonyek::KEY2Parser::parseLeveled | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseFilteredImage().

void libetonyek::KEY2Parser::parseLine | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDrawables(), and parseGroup().

void libetonyek::KEY2Parser::parseLink | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseP().

void libetonyek::KEY2Parser::parseMasterSlide | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseMasterSlides().

void libetonyek::KEY2Parser::parseMasterSlides | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseTheme().

void libetonyek::KEY2Parser::parseMedia | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDrawables(), and parseGroup().

void libetonyek::KEY2Parser::parseMetadata | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by processXmlNode().

void libetonyek::KEY2Parser::parseMovieMedia | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseContent().

void libetonyek::KEY2Parser::parseNotes | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseSlide().

void libetonyek::KEY2Parser::parseOtherDatas | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseSelfContainedMovie().

void libetonyek::KEY2Parser::parseP | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseLayout(), and parseTextBody().

void libetonyek::KEY2Parser::parsePage | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseMasterSlide(), and parseSlide().

void libetonyek::KEY2Parser::parsePath | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseConnectionLine(), and parseShape().

void libetonyek::KEY2Parser::parsePlaceholder | ( | const KEYXMLReader & | reader,
|  | bool | title = `false`
| ) |  |
| private

Referenced by parseMasterSlide(), and parseSlide().

void libetonyek::KEY2Parser::parsePointPath | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parsePath().

void libetonyek::KEY2Parser::parseProxyMasterLayer | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseLayers().

void libetonyek::KEY2Parser::parseScalarPath | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parsePath().

void libetonyek::KEY2Parser::parseSelfContainedMovie | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseMovieMedia().

void libetonyek::KEY2Parser::parseShape | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDrawables(), and parseGroup().

void libetonyek::KEY2Parser::parseSlide | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseSlideList().

void libetonyek::KEY2Parser::parseSlideList | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by processXmlNode().

void libetonyek::KEY2Parser::parseSpan | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseLink(), and parseP().

void libetonyek::KEY2Parser::parseStickyNote | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDrawables(), and parseStickyNotes().

void libetonyek::KEY2Parser::parseStickyNotes | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseMasterSlide(), and parseSlide().

void libetonyek::KEY2Parser::parseStyles | ( | const KEYXMLReader & | reader,
|  | bool | anonymous
| ) |  |
| private

Referenced by parseStylesheet().

void libetonyek::KEY2Parser::parseStylesheet | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseMasterSlide(), parseSlide(), and parseTheme().

void libetonyek::KEY2Parser::parseTab | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseP(), and parseSpan().

void libetonyek::KEY2Parser::parseText | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parsePlaceholder(), parseShape(), and parseStickyNote().

void libetonyek::KEY2Parser::parseTextBody | ( | const KEYXMLReader & | reader | ) |

Referenced by libetonyek::KEY2TableParser::parseSo(), and parseTextStorage().

void libetonyek::KEY2Parser::parseTextStorage | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseNotes(), and parseText().

void libetonyek::KEY2Parser::parseTheme | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseThemeList().

void libetonyek::KEY2Parser::parseThemeList | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by processXmlNode().

void libetonyek::KEY2Parser::parseUnfiltered | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseFilteredImage().

void libetonyek::KEY2Parser::processXmlNode | ( | const KEYXMLReader & | reader | ) |
| privatevirtual

Implements libetonyek::KEYParser.

## Member Data Documentation

RVNGInputStreamPtr_t libetonyek::KEY2Parser::m_package
| private

Referenced by parseData().

unsigned libetonyek::KEY2Parser::m_version
| private

Referenced by processXmlNode().

The documentation for this class was generated from the following files:

- KEY2Parser.h
- KEY2Parser.cpp